'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Brand = require('./Brand');

var _Brand2 = _interopRequireDefault(_Brand);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var index = function (_React$Component) {
  _inherits(index, _React$Component);

  function index() {
    _classCallCheck(this, index);

    return _possibleConstructorReturn(this, (index.__proto__ || Object.getPrototypeOf(index)).apply(this, arguments));
  }

  _createClass(index, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          background = _props.background,
          brandMessage = _props.brandMessage,
          children = _props.children,
          id = _props.id,
          onBrandClick = _props.onBrandClick,
          position = _props.position,
          theme = _props.theme;

      var className = 'navbar navbar-expand-lg';
      switch (background) {
        case 'dark':
          className += ' bg-dark';
          break;
        case 'light':
          className += ' bg-light';
          break;
        case 'primary':
          className += ' bg-primary';
          break;
      }
      switch (position) {
        case 'fixed-top':
          className += ' fixed-top';
          break;
        case 'fixed-bottom':
          className += ' fixed-bottom';
          break;
        case 'sticky-top':
          className += ' sticky-top';
          break;
      }
      switch (theme) {
        case 'dark':
          className += ' navbar-dark';
          break;
        case 'light':
          className += ' navbar-light';
      }
      var brand = brandMessage ? _react2.default.createElement(
        _Brand2.default,
        { onClick: onBrandClick, id: 'brand' },
        brandMessage
      ) : '';
      return _react2.default.createElement(
        'nav',
        { id: 'Navbar-' + id, className: className },
        brand,
        _react2.default.createElement(
          'div',
          { className: 'collapse navbar-collapse' },
          _react2.default.createElement(
            'ul',
            { className: 'navbar-nav mr-auto' },
            children
          )
        )
      );
    }
  }]);

  return index;
}(_react2.default.Component);

index.defaultProps = {
  background: 'light',
  theme: 'light'
};
index.propTypes = {
  background: _propTypes2.default.oneOf(['dark', 'light', 'primary']),
  brandMessage: _propTypes2.default.string,
  children: _propTypes2.default.node,
  id: _propTypes2.default.string.isRequired,
  onBrandClick: _propTypes2.default.func,
  position: _propTypes2.default.oneOf(['fixed-top, fixed-bottom, sticky-top']),
  theme: _propTypes2.default.oneOf(['light', 'dark'])
};
exports.default = index;