'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PaginationItem = require('./PaginationItem');

var _PaginationItem2 = _interopRequireDefault(_PaginationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Pagination = function (_React$Component) {
  _inherits(Pagination, _React$Component);

  function Pagination(props) {
    _classCallCheck(this, Pagination);

    var _this = _possibleConstructorReturn(this, (Pagination.__proto__ || Object.getPrototypeOf(Pagination)).call(this, props));

    _this.onNext = _this.onNext.bind(_this);
    _this.onPrevious = _this.onPrevious.bind(_this);
    return _this;
  }

  _createClass(Pagination, [{
    key: 'onNext',
    value: function onNext(e) {
      e.preventDefault();
      this.props.onNext();
    }
  }, {
    key: 'onPrevious',
    value: function onPrevious(e) {
      e.preventDefault();
      this.props.onPrevious();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          alignment = _props.alignment,
          id = _props.id,
          size = _props.size;

      var className = 'pagination';
      switch (size) {
        case 'small':
          className += ' pagination-sm';
          break;
        case 'large':
          className += ' pagination-lg';
          break;
      }
      switch (alignment) {
        case 'center':
          className += ' justify-content-center';
          break;
        case 'right':
          className += ' justify-content-end';
          break;
      }
      return _react2.default.createElement(
        'nav',
        { id: 'pagination-' + id, 'aria-label': ' Page navigation ' + id },
        _react2.default.createElement(
          'ul',
          { className: className },
          _react2.default.createElement(
            _PaginationItem2.default,
            { id: 'pagination-next-' + id, onClick: this.onPrevious },
            '\xAB'
          ),
          this.props.children,
          _react2.default.createElement(
            _PaginationItem2.default,
            { id: 'pagination-next-' + id, onClick: this.onNext },
            '\xBB'
          )
        )
      );
    }
  }]);

  return Pagination;
}(_react2.default.Component);

Pagination.defaultProps = {
  alignment: 'left',
  size: 'medium'
};
Pagination.propTypes = {
  alignment: _propTypes2.default.oneOf('left', 'center', 'right'),
  children: _propTypes2.default.node.isRequired,
  id: _propTypes2.default.string.isRequired,
  onNext: _propTypes2.default.func.isRequired,
  onPrevious: _propTypes2.default.func.isRequired,
  size: _propTypes2.default.oneOf(['small', 'medium', 'large'])
};
exports.default = Pagination;