'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ProgressBar = function (_React$Component) {
  _inherits(ProgressBar, _React$Component);

  function ProgressBar() {
    _classCallCheck(this, ProgressBar);

    return _possibleConstructorReturn(this, (ProgressBar.__proto__ || Object.getPrototypeOf(ProgressBar)).apply(this, arguments));
  }

  _createClass(ProgressBar, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          animated = _props.animated,
          context = _props.context,
          height = _props.height,
          id = _props.id,
          label = _props.label,
          min = _props.min,
          max = _props.max,
          now = _props.now,
          striped = _props.striped;


      var currentStyle = {
        width: 100 * (now / max) + '%'
      };

      if (height) {
        currentStyle['height'] = height + 'px';
      }

      var className = 'progress-bar';

      if (context) {
        className += ' bg-' + context;
      }

      if (striped) {
        className += ' progress-bar-striped';
      }

      if (striped && animated) {
        className += ' progress-bar-animated';
      } else if (!striped && animated) {
        className += ' progress-bar-striped';
        className += ' progress-bar-animated';
      }

      return _react2.default.createElement(
        'div',
        { id: 'ProgressBar-' + id, className: className,
          role: 'progressbar',
          'area-valuemax': max,
          'area-valuemin': min,
          'aria-valuenow': now,
          style: currentStyle },
        label
      );
    }
  }]);

  return ProgressBar;
}(_react2.default.Component);

ProgressBar.propTypes = {
  animated: _propTypes2.default.bool,
  context: _propTypes2.default.oneOf(['primary', 'success', 'info', 'warn', 'danger']),
  height: _propTypes2.default.number,
  id: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.string,
  min: _propTypes2.default.number.isRequired,
  max: _propTypes2.default.number.isRequired,
  now: _propTypes2.default.number.isRequired,
  striped: _propTypes2.default.bool
};
ProgressBar.defaultProps = {
  animated: false,
  striped: false
};
exports.default = ProgressBar;